Package org.apache.catalina.tribes.membership.cloud

# Interface StreamProvider

All Known Implementing Classes:
  `AbstractStreamProvider`, `CertificateStreamProvider`, `InsecureStreamProvider`, `TokenStreamProvider`

public interface StreamProvider

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`openStream(String url, Map<String,String> headers, int connectTimeout, int readTimeout)`
Open stream to the specified URL.

## Method Details

### openStream

InputStream openStream(String url, Map<String,String> headers, int connectTimeout, int readTimeout) throws IOException
Open stream to the specified URL.

Parameters:
  `url` - the url
  `headers` - the headers map
  `connectTimeout` - connection timeout in ms
  `readTimeout` - read timeout in ms
Returns:
  the stream
Throws:
  `IOException` - when an error occurs